<!DOCTYPE html>
<html>

<head>
  <title>Fake Auth</title>
  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
  <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,500;1,300&display=swap"
    rel="stylesheet" />
  <style media="screen">
    *,
    *:before,
    *:after {
      padding: 0;
      margin: 0;
      box-sizing: border-box;
    }

    body {
      margin: 0;
      font-size: 18px;
      font-family: "Open Sans", sans-serif;
      font-weight: 400;
      overflow: hidden;
    }

    .background,
    form {
      width: 400px;
      height: 340px;
      position: absolute;
      transform: translate(-50%, -50%);
      top: 50%;
      left: 50%;
    }

    .shape {
      position: absolute;
      border-radius: 50%;

    }

    .shape:nth-child(3n) {
      width: 200px;
      height: 200px;
      background: linear-gradient(60deg, #39e5b6, #70b2d9);
      left: -80px;
      top: -60px;
    }

    .shape:nth-child(3n + 1) {
      width: 160px;
      height: 160px;
      background: linear-gradient(270deg, #F39FDC, #9AB5E1);
      right: -90px;
      top: -20px;
    }

    .shape:nth-child(3n + 2) {
      width: 180px;
      height: 180px;
      background: linear-gradient(120deg, #ff5858, #ffff45);
      right: -20px;
      bottom: -80px;
    }

    form {
      backdrop-filter: blur(0.5em);
      background-color: rgba(60, 60, 60, 0.03);
      border: 1px solid rgba(150, 150, 150, 0.5);
      border-radius: 0.2em;
      box-shadow: 0.05em 0.05em 0.5em rgba(150, 150, 150, 0.5);
      padding: 2em;
    }

    form * {
      color: rgb(30, 30, 30);
      letter-spacing: 0.05em;
      outline: none;
      border: none;
    }

    form h1 {
      text-align: center;
      font-style: italic;
      font-weight: 300;
    }

    label {
      display: block;
      margin-top: 2em;
      margin-bottom: 0.25em;
    }

    input {
      display: block;
      height: 3em;
      width: 100%;
      font-family: "Open Sans", sans-serif;
      font-size: 1em;
      border-radius: 0.2em;
    }

    input[type="submit"] {
      margin-top: 2em;
      background-color: rgba(255, 255, 255, 1);
      font-weight: 500;
    }

    input[type="submit"]:hover {
      background-color: rgba(245, 245, 245, 1);
    }

    /* Custom select */
    .custom-select {
      position: relative;
      width: 100%;
      max-width: 100%;
      font-size: 1em;
    }

    .custom-select.error .select-button  {
      /* background-color: rgba(255, 0, 0, 0.1); */
      border-bottom: 2px solid rgba(255, 60, 60, 0.2);
    }

    .select-button {
      width: 100%;
      font-size: 1.15rem;
      background-color: rgba(255, 255, 255, 1);
      padding: 0.675em 1em;
      border-radius: 0.2em;
      border-bottom: 2px solid rgba(60, 60, 60, 0.2);
      cursor: pointer;

      display: flex;
      justify-content: space-between;
      align-items: center;
    }

    .select-button:hover {
      background-color: rgba(245, 245, 245, 1);
    }

    .selected-value {
      text-align: left;
    }

    .arrow {
      border-left: 7px solid transparent;
      border-right: 7px solid transparent;
      border-top: 8px solid rgba(0, 0, 0, 0.2);
      transition: transform ease-in-out 0.3s;
    }

    .select-dropdown {
      position: absolute;
      list-style: none;
      width: 100%;
      box-shadow: 0.05em 0.05em 1em rgba(150, 150, 150, 0.5);
      background-color:  rgba(255, 255, 255, 1);
      border: 1px solid  rgba(245, 245, 245, 1);
      border-radius: 0.2em;
      padding: 0;
      margin-top: 0.2em;
      max-height: 200px;
      overflow-y: auto;
      transition: 0.2s ease;
      opacity: 0;
      visibility: hidden;
    }

    .select-dropdown:focus-within {
      box-shadow: 0 10px 25px rgba(60, 60, 60, 0.6);
    }

    .select-dropdown li {
      position: relative;
      cursor: pointer;
      display: flex;
      gap: 1rem;
      align-items: center;
    }

    .select-dropdown li label {
      width: 100%;
      margin: 0;
      padding: 0.5em 1em;
      cursor: pointer;
    }

    .select-dropdown::-webkit-scrollbar { width: 7px; }

    .select-dropdown::-webkit-scrollbar-track {
      background: #f1f1f1;
      border-radius: 25px;
    }

    .select-dropdown::-webkit-scrollbar-thumb {
      background: #ccc;
      border-radius: 25px;
    }

    .select-dropdown li:hover,
    .select-dropdown input:checked ~ label {
      background-color: rgba(245, 245, 245, 1);
    }

    .select-dropdown input:focus ~ label {
      background-color: rgba(235, 235, 235, 1);
    }

    .select-dropdown input[type="radio"] {
      position: absolute;
      left: 0;
      opacity: 0;
      height: 2em;
    }

    .custom-select.active .arrow {
      transform: rotate(180deg);
    }

    .custom-select.active .select-dropdown {
      opacity: 1;
      visibility: visible;
    }
  </style>
</head>

<body>
  <div class="background">
    <div class="shape"></div>
    <div class="shape"></div>
    <div class="shape"></div>
  </div>
  <form action="/_/login" method="post">
  <!-- <form> -->
    <h1>Logga in</h1>
    <input name="_csrf" value="<%= csrfToken %>" type="hidden" />
    <input name="url" value="<%= redirectURL %>" type="hidden" />

    <label for="ssn">Personnummer</label>
    <div class="custom-select <% if (error) { %>error<% } %>">
      <button
        class="select-button"
        role="combobox"
        aria-labelledby="select button"
        aria-haspopup="listbox"
        aria-expanded="false"
        aria-controls="select-dropdown"
      >
        <span class="selected-value">Klicka för att välja</span>
        <span class="arrow"></span>
      </button>
      <ul role="listbox" class="select-dropdown">
        <% for (let ssn of ssnList) { %>
        <li role="option">
          <input type="radio" name="ssn" id="<%= ssn %>" value="<%= ssn %>" />
          <label for="<%= ssn %>"><%= ssn %></label>
        </li>
        <% } %>
      </ul>
    </div>

    <input type="submit" value="Logga in" />
  </form>
  <script>
    const customSelect = document.querySelector('.custom-select');
    const selectButton = document.querySelector('.select-button');
    const selectedValue = document.querySelector(".selected-value");
    const optionsList = document.querySelectorAll(".select-dropdown li");

    selectButton.addEventListener('click', (event) => {
      event.preventDefault();
      customSelect.classList.toggle('active');
      selectButton.setAttribute('aria-expanded', selectButton.getAttribute('aria-expanded') === 'true' ? 'false' : 'true');
    });

    optionsList.forEach((option) => {
      function handler(e) {
        // Click Events
        if (e.type === "click" && e.clientX !== 0 && e.clientY !== 0) {
          selectedValue.textContent = this.children[1].textContent;
          customSelect.classList.remove("active");
        }
        // Key Events
        if (e.key === "Enter") {
          selectedValue.textContent = this.textContent;
          customSelect.classList.remove("active");
        }
      }

      option.addEventListener("keyup", handler);
      option.addEventListener("click", handler);
    });
  </script>
</body>

</html>